id: 19
createTime: 2024-07-07T09:42:35.271822709Z
name: test-
kind: tech-discovery
addon: tech-discovery
extensions:
    - discovery-java
state: Failed
priority: 10
data:
    mode:
        discovery: true
    rules:
        labels:
            included:
                - discovery
    tagger:
        enabled: true
        source: tech-discovery
application:
    id: 6
    name: test
bucket:
    id: 25
    name: ""
started: 2024-07-07T09:42:39.694413969Z
terminated: 2024-07-07T09:42:43.035976875Z
events:
    - kind: AddonSelected
      count: 1
      last: 2024-07-07T09:42:36.263499289Z
    - kind: ExtensionSelected
      count: 1
      reason: discovery-java
      last: 2024-07-07T09:42:36.280965269Z
    - kind: Postponed
      count: 3
      reason: Rule:Dependency matched:19, other:18
      last: 2024-07-07T09:42:38.523759076Z
    - kind: PodCreated
      count: 1
      reason: konveyor-tackle/task-19-zf9pz
      last: 2024-07-07T09:42:39.733302453Z
    - kind: PodRunning
      count: 1
      last: 2024-07-07T09:42:42.927819424Z
    - kind: PodFailed
      count: 1
      reason: Error
      last: 2024-07-07T09:42:42.927825325Z
    - kind: PodDeleted
      count: 1
      last: 2024-07-07T09:42:43.035918014Z
errors:
    - severity: Error
      description: 'Container (addon) failed: Error'
    - severity: Error
      description: Application repository not defined.
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
attached:
    - id: 440
      name: ssh-agent.output
      activity: 9
    - id: 441
      name: pod.yaml
    - id: 442
      name: addon.log
    - id: 443
      name: discovery-java.log
